package com.hzya.frame.u8c.ax.dao;

import com.hzya.frame.u8c.ax.entity.ArchivesEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.List;

/**
 * (bd_corp: table)表数据库访问层
 *
 * @author makejava
 * @since 2023-09-06 14:47:17
 */
public interface IAxDao extends IBaseDao<ArchivesEntity, String> {

    List<ArchivesEntity> queryArchivesData(ArchivesEntity archivesEntity);

    ArchivesEntity saveArchivesByType(ArchivesEntity archivesEntity);

    Integer updateArchivesByType(ArchivesEntity archivesEntity);

    Integer deleteArchivesByType(ArchivesEntity archivesEntity);
}

